Description: tests with network access can not run on buildd
Author: Thorsten Alteholz <debian@alteholz.de>
Index: golang-github-joyent-gocommon/client/client_test.go
===================================================================
--- golang-github-joyent-gocommon.orig/client/client_test.go	2019-08-22 19:27:06.832242682 +0000
+++ golang-github-joyent-gocommon/client/client_test.go	2019-11-04 00:58:11.943342249 +0000
@@ -14,11 +14,11 @@
 	"fmt"
 	"github.com/joyent/gocommon/client"
 	joyenthttp "github.com/joyent/gocommon/http"
-	"github.com/joyent/gocommon/jpc"
+//	"github.com/joyent/gocommon/jpc"
 	"github.com/joyent/gosign/auth"
 	gc "launchpad.net/gocheck"
 	"net/http"
-	"testing"
+//	"testing"
 	"time"
 )
 
@@ -28,6 +28,7 @@
 
 var keyName = flag.String("key.name", "", "Specify the full path to the private key, defaults to ~/.ssh/id_rsa")
 
+/* test with keys not feasible
 func Test(t *testing.T) {
 	creds, err := jpc.CompleteCredentialsFromEnv(*keyName)
 	if err != nil {
@@ -37,6 +38,7 @@
 	gc.Suite(&ClientSuite{creds: creds})
 	gc.TestingT(t)
 }
+*/
 
 func (s *ClientSuite) TestNewClient(c *gc.C) {
 	cl := client.NewClient(s.creds.SdcEndpoint.URL, "", s.creds, nil)
